commit:     d7691f96ae6382bb7788bc3f4ef7d534a7a1088f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue May  5 05:36:28 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue May  5 07:15:06 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7691f96

dev-python/hypothesis: Bump to 5.10.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/hypothesis/Manifest                 |  1 +
 dev-python/hypothesis/hypothesis-5.10.5.ebuild | 56 ++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 1f8a6712714..099f30edbb4 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,3 +1,4 @@
 DIST hypothesis-python-4.50.8.tar.gz 6814518 BLAKE2B 
f2c39cae3708fe88d1854cda97633ba420c32fda38093bb852ef45929762cade0f7f0d1ef696ff96f7ebe7460e8bf53f63de9c959bbbd9e8ec162196d307aac0
 SHA512 
8c77439fd029e2380afbc059d2edf977414997ba81ecdfde14dfe9dbe9515a92e701751d13879c6b879271f817e01926c2dc66945ae76eb141818da1775bc545
 DIST hypothesis-python-4.57.1.tar.gz 9005030 BLAKE2B 
3d318896cbe2d24fa6847e764a109791d3acf3821852f8e170991b0be5b069f166e16bdacf7a82fbe49bd9db5188315cdec7cdb4592647571233949ec5732991
 SHA512 
28622ce8a1d89d09df65f3fbf7e92a1ad98dac140ab646fe11fcb15e6aa9a9672eb51d459f984384d92b819f902de911b06cec2542582d529dd556d2f99ed952
 DIST hypothesis-python-5.10.4.tar.gz 9007617 BLAKE2B 
47e82ae1deae77f1d658093ae6578a70371792468185691bb5a6efa12349eb0df4511e19167fa89593a6af63d93ac6cae8bdd21048e87d952f3b351cf44677f0
 SHA512 
a22613ddb3d5bb9c038765e75269ff2e4b6351d6eac64267ad2f9ec6add0293ef21143ac9a0af20f2d858a0226e977ffca40e0b2929e92876fa702695d94b3fd
+DIST hypothesis-python-5.10.5.tar.gz 9007682 BLAKE2B 
65801e4188c7eed4ba67f2352d8b14d2b529dae9747f55a4f192510597d599586ce56e45e483a14b199a56a667ad0b148cffb9940ba7118635a42951b05ab7ec
 SHA512 
72113c63de8674964bee7903e7af4d4cec58e4cca69e2cc60e3d4c457fab0855ce74ee006426ac86fe5d70ccf810555e0fc9baaac87601860c709e0ab1f2959f

diff --git a/dev-python/hypothesis/hypothesis-5.10.5.ebuild 
b/dev-python/hypothesis/hypothesis-5.10.5.ebuild
new file mode 100644
index 00000000000..161feb37e78
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-5.10.5.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis 
https://pypi.org/project/hypothesis/";
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz";
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+       >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               ${RDEPEND}
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pexpect[${PYTHON_USEDEP}]
+               >=dev-python/pytest-5.3.5[${PYTHON_USEDEP}]
+               !!<dev-python/typing-3.7.4.1
+       )
+"
+
+src_prepare() {
+       # avoid pytest-xdist dep for one test
+       sed -i -e 's:test_prints_statistics_given_option_under_xdist:_&:' \
+               tests/pytest/test_statistics.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       pytest -vv tests/cover tests/pytest tests/quality ||
+               die "Tests fail with ${EPYTHON}"
+}
+
+pkg_postinst() {
+       optfeature "datetime support" dev-python/pytz
+       optfeature "dateutil support" dev-python/python-dateutil
+       optfeature "numpy support" dev-python/numpy
+       optfeature "django support" dev-python/django dev-python/pytz
+       optfeature "pandas support" dev-python/pandas
+       optfeature "pytest support" dev-python/pytest
+}

Reply via email to